IPrivateKeyring (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.keyring.IPrivateKeyring,IPrivateKeyring interface

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Interface IPrivateKeyring

All Superinterfaces:
  IKeyring

All Known Implementing Classes:
  GnuPrivateKeyring

public interface IPrivateKeyring
extends IKeyring

An interface to private, or "personal", keyrings, which contain private credentials. The contract is that each such entry is known by a unique alias.

What about public keys? and certificate-path?

Field Summary

Fields inherited from interface gnu.crypto.keyring.IKeyring
`KEYRING_DATA_IN, KEYRING_DATA_OUT, KEYRING_PASSWORD`

Method Summary
`boolean` | `containsCertPath(java.lang.String alias)` Checks if this keyring contains a certificate path with the given `alias`.
`boolean` | `containsPrivateKey(java.lang.String alias)` Tests if this keyring contains a private key entry with the given `alias`.
`boolean` | `containsPublicKey(java.lang.String alias)` Checks if this keyring contains a public key with the given `alias`.
`java.security.cert.Certificate[]` | `getCertPath(java.lang.String alias)` Returns the certificate path with the given `alias`, or `null` if there is no such entry.
`java.security.Key` | `getPrivateKey(java.lang.String alias, char[] password)` Returns the private key with the given `alias`.
`java.security.PublicKey` | `getPublicKey(java.lang.String alias)` Returns the public key with the given `alias`, or `null` if there is no such entry.
`void` | `putCertPath(java.lang.String alias, java.security.cert.Certificate[] path)` Sets a certificate path entry.
`void` | `putPrivateKey(java.lang.String alias, java.security.Key key, char[] password)` Adds a private key to this keyring.
`void` | `putPublicKey(java.lang.String alias, java.security.PublicKey key)` Sets a public key entry.

Methods inherited from interface gnu.crypto.keyring.IKeyring
`add, aliases, containsAlias, get, load, remove, reset, size, store`

Method Detail

### containsPrivateKey

    public boolean containsPrivateKey(java.lang.String alias)

  Tests if this keyring contains a private key entry with the given `alias`.

  Parameters:
    `alias` - The alias to check.
  Returns:
    `true` if this keyring contains a private key with the given `alias`; `false` otherwise.

### getPrivateKey

    public java.security.Key getPrivateKey(java.lang.String alias,
                                           char[] password)
                                    throws java.security.UnrecoverableKeyException

  Returns the private key with the given `alias`.

  Parameters:
    `alias` - The alias of the private key to find.
    `password` - The password of the private key.
  Returns:
    The private, or secret, key if one is found; `null` if none were found.
  Throws:
    `java.security.UnrecoverableKeyException` - If the private key could not be recovered, possibly due to a bad password.

### putPrivateKey

    public void putPrivateKey(java.lang.String alias,
                              java.security.Key key,
                              char[] password)

  Adds a private key to this keyring.

  Parameters:
    `alias` - The alias of the private key.
    `key` - The private key.
    `password` - The password used to protect this private key.

### containsPublicKey

    public boolean containsPublicKey(java.lang.String alias)

  Checks if this keyring contains a public key with the given `alias`.

  Parameters:
    `alias` - The alias to test.
  Returns:
    `true` if this keyring contains a public key entry with the given `alias`; `false` otherwise.

### getPublicKey

    public java.security.PublicKey getPublicKey(java.lang.String alias)

  Returns the public key with the given `alias`, or `null` if there is no such entry.

  Parameters:
    `alias` - The alias of the public key to find.
  Returns:
    The public key; or `null` if none were found.

### putPublicKey

    public void putPublicKey(java.lang.String alias,
                             java.security.PublicKey key)

  Sets a public key entry.

  Parameters:
    `alias` - The alias for this public key.
    `key` - The public key.

### containsCertPath

    public boolean containsCertPath(java.lang.String alias)

  Checks if this keyring contains a certificate path with the given `alias`.

  Parameters:
    `alias` - The alias to check.
  Returns:
    `true` if this keyring contains a certificate path with the given `alias`; `false` otherwise.

### getCertPath

    public java.security.cert.Certificate[] getCertPath(java.lang.String alias)

  Returns the certificate path with the given `alias`, or `null` if there is no such entry.

  Parameters:
    `alias` - The alias of the certificate path to find.
  Returns:
    The certificate path for the designated `alias`; or `null` if none were found.

### putCertPath

    public void putCertPath(java.lang.String alias,
                            java.security.cert.Certificate[] path)

  Sets a certificate path entry.

  Parameters:
    `alias` - The alias for this certificate path.
    `path` - The certificate path.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.